//
//  UIAction+Subtitle.swift
//  Tusker
//
//  Created by Shadowfacts on 6/10/22.
//  Copyright © 2022 Shadowfacts. All rights reserved.
//

import UIKit

extension UIAction {
    convenience init(title: String, subtitle: String?, image: UIImage?, state: UIAction.State, handler: @escaping UIActionHandler) {
        if #available(iOS 15.0, *) {
            self.init(title: title, subtitle: subtitle, image: image, identifier: nil, discoverabilityTitle: nil, attributes: [], state: state, handler: handler)
        } else {
            self.init(title: title, image: image, identifier: nil, discoverabilityTitle: nil, attributes: [], state: state, handler: handler)
        }
    }
}
